
#import "LRCalendarView.h"

#import <Cocoa/Cocoa.h>


@interface CalendarController : NSObject {
	
	IBOutlet LRCalendarView *_monthlyCalendar;
	IBOutlet LRCalendarView *_weeklyCalendar;
	
	LRCalendarView *_activeCalendar;

}

- (id)init;
+ (CalendarController *)sharedController;

- (void)awakeFromNib;
- (void)setActiveCalendar:(NSString *)activeCalendar;
- (LRCalendarView *)activeCalendar;
- (LRCalendarView *)monthlyCalendar;
- (LRCalendarView *)weeklyCalendar;

- (void)deselectAllAndDeselectListView:(BOOL)deselectListView;
- (void)updateCalendar;

#pragma mark -
#pragma mark Calendar Delegate Methods
- (void)calendarViewSelectionDidChange:(LRCalendarView *)aCalendarView;
- (void)calendarViewEventWillMove:(LRCalendarView *)aCalendarView;
- (void)calendarViewEventDidMove:(LRCalendarView *)aCalendarView;
- (void)calendarViewDidDoubleClick:(LRCalendarView *)aCalendarView;
- (void)calendarView:(LRCalendarView *)aCalendarView
		  andDayCell:(NSTableView *)aTableView
	 willDisplayCell:(id)aCell
	  forTableColumn:(NSTableColumn *)aTableColumn
				 row:(int)rowIndex;

@end
